Package Release Info

swift-im-4.0-bp153.1.116

Update Info: Base Release
Available in Package Hub : 15 SP3

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

libSwiften4
swift-im
swiften-devel

Change Logs

Version: 4.0-bp150.2.5
* Thu Mar 22 2018 jengelh@inai.de
- Remove filler wording and bias from descriptions.
* Wed Mar 21 2018 mvetter@suse.com
- Add GPG checking
  * Add swift-4.0.tar.gz.asc
  * Add swift.keyring
* Tue Mar 20 2018 mvetter@suse.com
- Update to version 4.0:
  * New chat theme including a new font
  * Support for message carbons (XEP-0280)
  * Enabled trellis mode as a default feature, allowing several tiled chats windows to be shown at once
  * Redesigned keyword highlighting
  * Improve date formatting
  * Fix Last Message Correction in multi client scenarios
  * Fix UI layout issue for translations that require right-to-left (RTL) layout
  * Fix UX issues in trellis mode
  * Improvements to font size handling in the chat theme
  * Improved spell checker support on Linux
  * And assorted smaller features and usability enhancements
* Wed Feb 28 2018 fisiu@opensuse.org
- Altering Swift/QtUI/SConscript is no longer required.
* Tue Dec 12 2017 mvetter@suse.com
- Update to version 4RC3:
  * Fix crash in emoticon dialog
  * Update translations ( Dutch, German )
  * And smaller bug fixes
* Mon Dec 11 2017 mpluskal@suse.com
- Use bundled scons for now
- Drop swift-im-scons-python3.patch
* Thu Nov 30 2017 mvetter@suse.com
- Convert scons files to use python3
* Wed Nov 22 2017 mvetter@suse.com
- bsc#1062799:
  * Replace big boost-devel with only required boost devel libs
  * Use boost_bundled_enable=false switch
* Thu Oct 19 2017 fisiu@opensuse.org
- Use gcc6 for Leap to fix compilation issue.
* Tue Oct 17 2017 fisiu@opensuse.org
- Spec cleanup.
- Ship translations within the package.
* Fri Jun 09 2017 mvetter@suse.com
- Update to version	4.0 beta 2:
  * Support for message carbons (XEP-0280)
  * Trellis mode enabled as a default feature, allowing several tiled chats windows to be shown at once
  * New chat theme including a new font
  * Redesigned keyword highlighting
  * Improved spell checker support on Linux
  * Support for automatic software updates on macOS
  * Support for unicode emojis on macOS
  * And assorted smaller features and usability enhancements
- Remove chmod for Swiften/Network/UnboundDomainNameResolver.
  got upstreamed: https://github.com/swift/swift/pull/28
- Remove patches:
  * swift-libminiupnpc.patch: Upstreamed
  * swift-missing-assert.patch: Upstreamed https://github.com/swift/swift/pull/32
  * swift-system-font.patch: Rendering works now. Can use their
  font for the roster
- Add BuildRequires: libqt5-qtsvg-devel needs this to display properly
* Wed Jul 27 2016 mvetter@suse.com
- Add swift-missing-assert.patch: Fix missing include cassert.
  Needed to build successfully on Leap.
* Tue Jul 26 2016 mvetter@suse.com
- Update to version 4 Beta 2:
  * Support for message carbons (XEP-0280)
  * Improved spell checker support on Linux
  * Enabled trellis mode as a default feature, allowing several tiled chats windows to be shown at once
  * New chat theme including a new font
  * And assorted smaller features and usability enhancements
  * Fix Swift bug introduced in 4.0-beta1 that results in the UI sometimes getting stuck during login
- Add:
  * swift-libminiupnpc.patch: Tumbleweed uses libminiupnpc 2.0 this adds support for version 1 and 2
  * swift-system-font.patch: swift brings its own Fonts, which don't look very good
    we stay with the system fonts (for roster, menu. Chatwindow uses Webview with different font)
* Tue May 17 2016 jengelh@inai.de
- Adjust RPM groups
* Wed May 11 2016 mvetter@suse.com
- Use correct Group
* Tue May 10 2016 mvetter@suse.com
- Dont install xpm file twice
* Wed Mar 09 2016 mvetter@suse.com
- Fix for 13.2 by declaring dirs
* Mon Mar 07 2016 mvetter@suse.com
- Remove more 3rdParty libraries and use distribution ones instead.
  Describing what we need and why.
* Fri Mar 04 2016 mvetter@suse.com
- Make spec file cleaner
* Fri Mar 04 2016 mvetter@suse.com
- Create initial package for version 3.0
Version: 4.0-bp152.4.48
* Mon Apr 01 2019 mvetter@suse.com
- Add swift-im-boost-tribool.patch: Fix for boost >= 1.69.0
- Remove deprecated libboost_signals-devel
  swift-im uses signal2 which is in libboost_headers-devel
* Tue Jun 12 2018 mvetter@suse.com
- Add swift-4.0-qt5.11-includes.patch:
  Add includes explicitly, so it builds with Qt 5.11